### A free/open-source library for quantitative finance

Public Member Functions
GaussianOrthogonalPolynomial Class Reference

orthogonal polynomial for Gaussian quadratures More...

`#include <ql/math/integrals/gaussianorthogonalpolynomial.hpp>`

Inheritance diagram for GaussianOrthogonalPolynomial:
[legend]

List of all members.

## Public Member Functions

virtual Real | mu_0 () const =0
virtual Real | alpha (Size i) const =0
virtual Real | beta (Size i) const =0
virtual Real | w (Real x) const =0
Real | value (Size i, Real x) const
Real | weightedValue (Size i, Real x) const

## Detailed Description

orthogonal polynomial for Gaussian quadratures

References: Gauss quadratures and orthogonal polynomials

G.H. Gloub and J.H. Welsch: Calculation of Gauss quadrature rule. Math. Comput. 23 (1986), 221-230

"Numerical Recipes in C", 2nd edition, Press, Teukolsky, Vetterling, Flannery,

The polynomials are defined by the three-term recurrence relation

and